package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.sql.Date;
import java.util.Objects;

public class TBInOutQuantityDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long cropId;
    private Double inQuantity;
    private Double outQuantity;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public Double getInQuantity() {
        return inQuantity;
    }

    public void setInQuantity(Double inQuantity) {
        this.inQuantity = inQuantity;
    }

    public Double getOutQuantity() {
        return outQuantity;
    }

    public void setOutQuantity(Double outQuantity) {
        this.outQuantity = outQuantity;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBInOutQuantityDTO that = (TBInOutQuantityDTO) o;
        return Objects.equals(cropId, that.cropId) && Objects.equals(inQuantity, that.inQuantity) && Objects.equals(outQuantity, that.outQuantity);
    }

    @Override
    public int hashCode() {
        return Objects.hash(cropId, inQuantity, outQuantity);
    }

    @Override
    public String toString() {
        return "TBInOutQuantityDTO{" +
            "cropId=" + cropId +
            ", inQuantity=" + inQuantity +
            ", outQuantity=" + outQuantity +
            '}';
    }
}
